import { AllIntents, Client } from "oceanic.js";
import { selfappReq } from "./selfappReq";
import { setupJoinRequestHandler } from "./joinRequestHandler";

export const client = new Client({
	auth: `Bot ${process.env.BOT_TOKEN}`,
	gateway: {
		intents: AllIntents,
		compress: false
	}
});

client.on("ready", async () => {
	console.log(`Logged in as ${client.user.tag}`);
	console.log("Checking user token");
	const selfappInfo = await selfappReq("/users/@me", "GET");
	if (!selfappInfo.username) console.error("Can't use selfapp");
	else console.log("Can use selfapp");

	setupJoinRequestHandler(client.shards.first()!);
});

client.connect();
